plymouthd crashed with SIGSEGV in script_obj_deref_direct()

Bug #1542000 reported by Alberto on 2016-02-04
308
This bug affects 66 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Medium
Unassigned

Bug Description

when start login screen plimuth crash and auto login don't start. Start login screen GDM3

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: plymouth 0.9.2-3ubuntu9
ProcVersionSignature: Ubuntu 4.4.0-2.16-generic 4.4.0
Uname: Linux 4.4.0-2-generic x86_64
ApportVersion: 2.19.4-0ubuntu2
Architecture: amd64
Date: Thu Feb 4 20:19:23 2016
DefaultPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-logo/ubuntu-gnome-logo.plymouth
ExecutablePath: /sbin/plymouthd
InstallationDate: Installed on 2016-01-27 (8 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160126)
MachineType: LENOVO 80EW
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-2-generic root=UUID=96e91037-4caa-46d6-b0b0-ecc19860fae0 ro quiet splash vt.handoff=7
ProcCmdline: @sbin/plymouthd --mode=boot --pid-file=/run/plymouth/pid --attach-to-session
ProcEnviron:
 LANG=it_IT.UTF-8
 PATH=(custom, no user)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-2-generic root=UUID=96e91037-4caa-46d6-b0b0-ecc19860fae0 ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7fac854ff660 <script_obj_deref_direct>: cmpl $0x1,(%rdi)
 PC (0x7fac854ff660) ok
 source "$0x1" ok
 destination "(%rdi)" (0x00000000) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: plymouth
StacktraceTop:
 script_obj_deref_direct () from /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_obj_as_custom () from /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_execute_object () from /usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_lib_plymouth_on_update_status () from /usr/lib/x86_64-linux-gnu/plymouth/script.so
 ?? ()
TextPlymouth: /usr/share/plymouth/themes/ubuntu-gnome-text/ubuntu-gnome-text.plymouth
Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 07/14/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: A8CN47WW(V3.00)
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Lenovo B50-80
dmi.board.vendor: LENOVO
dmi.board.version: No DPK
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo B50-80
dmi.modalias: dmi:bvnLENOVO:bvrA8CN47WW(V3.00):bd07/14/2015:svnLENOVO:pn80EW:pvrLenovoB50-80:rvnLENOVO:rnLenovoB50-80:rvrNoDPK:cvnLENOVO:ct10:cvrLenovoB50-80:
dmi.product.name: 80EW
dmi.product.version: Lenovo B50-80
dmi.sys.vendor: LENOVO

Alberto (pajeronda) wrote :

StacktraceTop:
 script_obj_deref_direct () from /tmp/apport_sandbox_eiv8XD/usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_obj_as_custom () from /tmp/apport_sandbox_eiv8XD/usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_execute_object () from /tmp/apport_sandbox_eiv8XD/usr/lib/x86_64-linux-gnu/plymouth/script.so
 script_lib_plymouth_on_update_status () from /tmp/apport_sandbox_eiv8XD/usr/lib/x86_64-linux-gnu/plymouth/script.so
 ply_boot_connection_on_request ()

Changed in plymouth (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
tags: added: yakkety
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2016-08-29
information type: Private → Public
Fenyvesi Attila (fattila2) wrote :

I restarted Ubuntu and got this crash after login.

Fenyvesi Attila (fattila2) wrote :

I use Xubuntu 16.04 and recently updated some packages including linux.

uname -a
Linux HPp 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Bruce Pieterse (octoquad) wrote :

Getting this in 16.10, although I don't think this bug is the same. Is there anyway to tell apport to generate a new bug report?

Bruce Pieterse (octoquad) wrote :

Please ignore comment #9 from me.

I have just installed a fresh copy of 16.04.1 in a VM, and I got this crash after the first log in.
I'll try and get a debug log from plymouth and attach it here.

Note to self, don't comment on bugs after 2am :P.

Bob Adams (bob-h) wrote :

I believe I have the same issue in 16.10, seems to occur randomly while logged in.

Fenyvesi Attila (fattila2) wrote :

I still have this issue.

Fenyvesi Attila (fattila2) wrote :

It happens right after login.

$ uname -a
Linux HPp 4.4.0-53-generic #74-Ubuntu SMP Fri Dec 2 15:59:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Bruce Pieterse (octoquad) wrote :

This is a duplicate of bug #927636 which is a problem after script_lib_plymouth_on_update_status().
Bug #733453 is similar but crash occurs after script_lib_plymouth_on_message() [Memory corruption / buffer overflow]
Bug #1582497 is similar but crash occurs after script_lib_plymouth_on_boot_progress().

Fenyvesi Attila (fattila2) wrote :

I got this bug again.

Ubuntu 16.04.1 LTS
$ uname -a
Linux HPp 4.4.0-59-generic #80-Ubuntu SMP Fri Jan 6 17:47:47 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Fenyvesi Attila (fattila2) wrote :

I am still getting this bug just after logging in to Xubuntu. My packages are up-to-date.
$ uname -a
Linux HPp 4.4.0-62-generic #83-Ubuntu SMP Wed Jan 18 14:10:15 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Actually I am running Ubuntu 17.04 Zesty so this bug report text is itself a bug

During a reinstall of Ubuntu GNOME 17.04 2/13 build. Before completing add online accounts. Not serious

David Sheriff (dvdshf) wrote :

Serious enough on my 2 systems to fatally lock up one system repeatedly. Two machines both running 16.04 lts. One locks up frequently with this error. The other only ocassionally. Both 64 bit AMD running on SS drives.

Humbly request a pointer to a printable version of the error report contents. Now taking 4 screenshots to capture the details.

What else should I preserve that might assist in the resolution of this bug?

I seem to also suffer from related but different bugs, most showing up in Plymouth. I corrected a few bits of corrupted code in the past which seemed to eliminate this class of bug for a few weeks. All drives report healthy (ext4)

Most commonly occur right after sign on and the opening of G3 desktop. Suggests possible radiation damage with SSDs Usually I tell the system to ignore the error and it does not return that powered up session. Do I need to purchase better SSDs with more robust error correction? Have one Samsung, one kingston. At 2500 feet so a bit more radiation than sea level.

Humbly request forebearance in the face of my ignorance. Most of my software skills were obsolete decades back. I no longer have enough remaining life or intellectual power to come anywhere close to the ability to understand this code. I would if I could.

David Sheriff (dvdshf) wrote :

I'll put the SSDs in RAID with electromechanical drives. Will let you know it works. This feels something like an early drive failure I fixed in the late 90's. If you have a hammer. . .

Happens to me in Ubuntu Gnome 17.04 beta2. Always shortly after login.

Robert Strube (robstrube) wrote :

I can also confirm that this is happing in Ubuntu Gnome 17.04 beta2. I am getting the problem shortly after login every time.

Robert Strube (robstrube) wrote :

I apologize, but I forgot to mention that I am running on an NVME SSD. It appears that this might be connected.

Same problem on Ubuntu GNOME 17.10
corrado@corrado-aa-gnome:~$ inxi -Fx
System: Host: corrado-aa-gnome Kernel: 4.10.0-20-generic x86_64 (64 bit gcc: 6.3.0)
           Desktop: Gnome 3.24.1 (Gtk 3.22.11-0ubuntu3) Distro: Ubuntu Artful Aardvark (development branch)
Machine: Device: desktop Mobo: Gigabyte model: H87M-D3H v: x.x UEFI: American Megatrends v: F3 date: 04/24/2013
CPU: Dual core Intel Core i3-4130 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13567
           clock speeds: max: 3400 MHz 1: 1601 MHz 2: 3400 MHz 3: 1606 MHz 4: 3400 MHz
Graphics: Card: Intel 4th Generation Core Processor Family Integrated Graphics Controller bus-ID: 00:02.0
           Display Server: X.Org 1.19.3 driver: N/A Resolution: 1680x1050@59.88hz
           GLX Renderer: Mesa DRI Intel Haswell GLX Version: 3.0 Mesa 17.0.4 Direct Rendering: Yes
Audio: Card-1 Intel 8 Series/C220 Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Sound: Advanced Linux Sound Architecture v: k4.10.0-20-generic
Network: Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 100 Mbps duplex: full mac: 94:de:80:7e:90:a7
Drives: HDD Total Size: 1000.2GB (1.4% used)
           ID-1: /dev/sda model: ST1000DM003 size: 1000.2GB
Partition: ID-1: / size: 32G used: 5.6G (19%) fs: ext4 dev: /dev/sda4
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 29.8C mobo: 27.8C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 255 Uptime: 7 min Memory: 1201.1/7861.2MB Init: systemd runlevel: 5 Gcc sys: 6.3.0
           Client: Shell (bash 4.4.51) inxi: 2.3.8
corrado@corrado-aa-gnome:~$

Same here on Ubuntu 16.04_LTS, I installed Gnome after the setup. The problem only occurs with my main account, not with an additional standard user...
Linux Eigenbau-GA-78LMT-S2P 4.8.0-51-generic #54~16.04.1-Ubuntu SMP Wed Apr 26 16:00:28 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Same crash shortly after login every time on Ubuntu GNOME 17.10.

Doug McMahon (mc3man) wrote :

plymouthhd crashers have been happening for years now, never ever fixed so why start now. Just ignore or set apport to ignore..

This bug poped up after an initial installation of Ubuntu 17.10 "Artful" in a Virtualbox VM. It occurred when I tried to add my Google account.

Wild Man (wildmanne39) wrote :

This affects me to on Ubuntu Gnome 17.10, I reported the bug using the report tool.

mario (mario-vidmar7) on 2017-06-03
no longer affects: plymouth
Fenyvesi Attila (fattila2) wrote :

I am having this system crash again, so I enabled debugging (see https://wiki.ubuntu.com/Plymouth#Debugging for details).

I will attach the following log files:
/var/log/plymouth-debug.log
/var/log/boot.log

ata@HPp:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial
ata@HPp:~$ uname -a
Linux HPp 4.4.0-78-generic #99-Ubuntu SMP Thu Apr 27 15:29:09 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Fenyvesi Attila (fattila2) wrote :
Fenyvesi Attila (fattila2) wrote :
Jhosman Lizarazo (jhosman) wrote :

I use Artful

Description: Ubuntu Artful Aardvark (development branch)
Release: 17.10
Codename: artful

Linux Jhosman-Laptop 4.10.0-22-generic #24-Ubuntu SMP Mon May 22 17:43:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

plymouthd crashed with SIGSEGV in script_obj_deref_direct()
I use Artful Aardvark 17.10

tags: added: artful
Charlie Luna (metalbiker) wrote :

I just installed the new daily build posted as of today, 2017-07-28 and I see there's a lot of changes in this build. So what happened to using ubuntu desktop styling of windows? We're now back to using what Ubuntu Gnome was using originally? Odd. I'm using Ubuntu Gnome 17.10 "Artful Aardvark" and I never expected this sort of changes and especially getting this crash again.

I really loved the styling that was in the daily build released on the 25th. oh well.

My hardware is a Lenovo Ideapad 310-15ABR laptop.

Janne Snabb (snabb) wrote :

Happens every time after login on fresh install of Ubuntu GNOME 17.04. Happened also with few previous releases of Ubuntu.

Reproducible: always on every Ubuntu installation

Not dependent on hardware as it happens on virtual box VMs as well as on physical machines.

This gives a very bad impression of Ubuntu and Linux in general. New users are wondering why their freshly installed computers keep producing scary looking system problems. It makes the whole Ubuntu system feel unreliable.

Please replace/remove plymouth from Ubuntu!

Sergiy (likeuwill) wrote :

Cannt fix it too, always have this error at start ;(

I get this after login in Ubuntu GNOME amd64, and I am using VirtualBox to run the OS.

Danilo Halcsick (danilomhre2) wrote :

I Have this problem with ubuntu 17.10 + gnome-session-flashback and running Eclipse 2017...
This problem occurred even without the gnome installed.

Mike Tedesco (mtedesco203) wrote :

Confirmed on Ubuntu Gnome 17.04

To post a comment you must log in.